%define upstream_name	 Linux-Inotify2
%define upstream_version 2.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Scalable directory/file change notification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense)
BuildRequires: perl-devel
%{?perl_default_filter}
Requires:   perl(common::sense)
%description
This module implements an interface to the Linux 2.6.13 and later
Inotify file/directory change notification system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorarch}/Linux
%{perl_vendorarch}/auto/Linux
%{_mandir}/man3/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.300.0-6.mga10
+ Revision: 2226085
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 2.300.0-5.mga10
+ Revision: 2088087
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 2.300.0-4.mga10
+ Revision: 2010953
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 2.300.0-3.mga9
+ Revision: 1862060
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.300.0-2.mga9
+ Revision: 1796402
- Mageia 9 Mass Rebuild

* Mon Aug 02 2021 tv <tv> 2.300.0-1.mga9
+ Revision: 1738547
- update to 2.3

* Mon May 24 2021 umeabot <umeabot> 2.200.0-4.mga9
+ Revision: 1726838
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.200.0-3.mga8
+ Revision: 1594838
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 2.200.0-2.mga8
+ Revision: 1539637
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Dec 10 2019 tv <tv> 2.200.0-1.mga8
+ Revision: 1465621
- update to 2.2

* Tue Aug 27 2019 tmb <tmb> 2.100.0-2.mga8
+ Revision: 1433810
- rebuild for perl 5.30

* Fri Oct 26 2018 tv <tv> 2.100.0-1.mga7
+ Revision: 1325660
- update to 2.1

* Fri Sep 21 2018 umeabot <umeabot> 1.220.0-16.mga7
+ Revision: 1293323
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.220.0-15.mga7
+ Revision: 1250096
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.220.0-14.mga7
+ Revision: 1165227
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.220.0-13.mga7
+ Revision: 1149028
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.220.0-12.mga7
+ Revision: 1126907
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.220.0-11.mga6
+ Revision: 1029166
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.220.0-10.mga6
+ Revision: 957656
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.220.0-9.mga6
+ Revision: 842733
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.220.0-8.mga5
+ Revision: 749034
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.220.0-7.mga5
+ Revision: 733120
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.220.0-6.mga5
+ Revision: 685228
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.220.0-5.mga5
+ Revision: 631373
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.220.0-4.mga4
+ Revision: 524387
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.220.0-3.mga4
+ Revision: 430785
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.220.0-2.mga3
+ Revision: 369108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.220.0-1.mga3
+ Revision: 107023
- update to 1.22

* Sun Jun 12 2011 sander85 <sander85> 1.210.0-4.mga2
+ Revision: 104754
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.210.0-3.mga1
+ Revision: 30717
- mageia rebuild
- imported package perl-Linux-Inotify2


* Sun Aug 15 2010 Anssi Hannula <anssi@mandriva.org> 1.210.0-3mdv2011.0
+ Revision: 570211
- add missing requires on perl(common::sense)

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.210.0-2mdv2011.0
+ Revision: 555998
- rebuild for perl 5.12

* Thu Sep 24 2009 Jérôme Quelin <jquelin@mandriva.org> 1.210.0-1mdv2010.0
+ Revision: 448258
- update to 1.21

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.2-2mdv2010.0
+ Revision: 440606
- rebuild

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.2-1mdv2009.1
+ Revision: 292196
- update to new version 1.2

* Fri Feb 29 2008 Anssi Hannula <anssi@mandriva.org> 1.1-1mdv2008.1
+ Revision: 176899
- initial Mandriva release

